FTPCmd
Date: 2016-06-23

org.apache.commons.net.ftp

## Enum FTPCmd

- java.lang.Object
- - java.lang.Enum<FTPCmd>
  - - org.apache.commons.net.ftp.FTPCmd

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FTPCmd>

      public enum FTPCmd
      extends java.lang.Enum<FTPCmd>

  Since:
    3.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOR`
    `ACCT`
    `ALLO`
    `APPE`
    `CDUP`
    `CWD`
    `DELE`
    `EPRT`
    `EPSV`
    `FEAT`
    `HELP`
    `LIST`
    `MDTM`
    `MFMT`
    `MKD`
    `MLSD`
    `MLST`
    `MODE`
    `NLST`
    `NOOP`
    `PASS`
    `PASV`
    `PORT`
    `PWD`
    `QUIT`
    `REIN`
    `REST`
    `RETR`
    `RMD`
    `RNFR`
    `RNTO`
    `SITE`
    `SMNT`
    `STAT`
    `STOR`
    `STOU`
    `STRU`
    `SYST`
    `TYPE`
    `USER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FTPCmd` | `ABORT`
    `static FTPCmd` | `ACCOUNT`
    `static FTPCmd` | `ALLOCATE`
    `static FTPCmd` | `APPEND`
    `static FTPCmd` | `CHANGE_TO_PARENT_DIRECTORY`
    `static FTPCmd` | `CHANGE_WORKING_DIRECTORY`
    `static FTPCmd` | `DATA_PORT`
    `static FTPCmd` | `DELETE`
    `static FTPCmd` | `FEATURES`
    `static FTPCmd` | `FILE_STRUCTURE`
    `static FTPCmd` | `GET_MOD_TIME`
    `static FTPCmd` | `LOGOUT`
    `static FTPCmd` | `MAKE_DIRECTORY`
    `static FTPCmd` | `MOD_TIME`
    `static FTPCmd` | `NAME_LIST`
    `static FTPCmd` | `PASSIVE`
    `static FTPCmd` | `PASSWORD`
    `static FTPCmd` | `PRINT_WORKING_DIRECTORY`
    `static FTPCmd` | `REINITIALIZE`
    `static FTPCmd` | `REMOVE_DIRECTORY`
    `static FTPCmd` | `RENAME_FROM`
    `static FTPCmd` | `RENAME_TO`
    `static FTPCmd` | `REPRESENTATION_TYPE`
    `static FTPCmd` | `RESTART`
    `static FTPCmd` | `RETRIEVE`
    `static FTPCmd` | `SET_MOD_TIME`
    `static FTPCmd` | `SITE_PARAMETERS`
    `static FTPCmd` | `STATUS`
    `static FTPCmd` | `STORE`
    `static FTPCmd` | `STORE_UNIQUE`
    `static FTPCmd` | `STRUCTURE_MOUNT`
    `static FTPCmd` | `SYSTEM`
    `static FTPCmd` | `TRANSFER_MODE`
    `static FTPCmd` | `USERNAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommand()` Retrieve the FTP protocol command string corresponding to a specified command code.
    `static FTPCmd` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FTPCmd[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABOR

          public static final FTPCmd ABOR

    - #### ACCT

          public static final FTPCmd ACCT

    - #### ALLO

          public static final FTPCmd ALLO

    - #### APPE

          public static final FTPCmd APPE

    - #### CDUP

          public static final FTPCmd CDUP

    - #### CWD

          public static final FTPCmd CWD

    - #### DELE

          public static final FTPCmd DELE

    - #### EPRT

          public static final FTPCmd EPRT

    - #### EPSV

          public static final FTPCmd EPSV

    - #### FEAT

          public static final FTPCmd FEAT

    - #### HELP

          public static final FTPCmd HELP

    - #### LIST

          public static final FTPCmd LIST

    - #### MDTM

          public static final FTPCmd MDTM

    - #### MFMT

          public static final FTPCmd MFMT

    - #### MKD

          public static final FTPCmd MKD

    - #### MLSD

          public static final FTPCmd MLSD

    - #### MLST

          public static final FTPCmd MLST

    - #### MODE

          public static final FTPCmd MODE

    - #### NLST

          public static final FTPCmd NLST

    - #### NOOP

          public static final FTPCmd NOOP

    - #### PASS

          public static final FTPCmd PASS

    - #### PASV

          public static final FTPCmd PASV

    - #### PORT

          public static final FTPCmd PORT

    - #### PWD

          public static final FTPCmd PWD

    - #### QUIT

          public static final FTPCmd QUIT

    - #### REIN

          public static final FTPCmd REIN

    - #### REST

          public static final FTPCmd REST

    - #### RETR

          public static final FTPCmd RETR

    - #### RMD

          public static final FTPCmd RMD

    - #### RNFR

          public static final FTPCmd RNFR

    - #### RNTO

          public static final FTPCmd RNTO

    - #### SITE

          public static final FTPCmd SITE

    - #### SMNT

          public static final FTPCmd SMNT

    - #### STAT

          public static final FTPCmd STAT

    - #### STOR

          public static final FTPCmd STOR

    - #### STOU

          public static final FTPCmd STOU

    - #### STRU

          public static final FTPCmd STRU

    - #### SYST

          public static final FTPCmd SYST

    - #### TYPE

          public static final FTPCmd TYPE

    - #### USER

          public static final FTPCmd USER

  - ### Field Detail

    - #### ABORT

          public static final FTPCmd ABORT

    - #### ACCOUNT

          public static final FTPCmd ACCOUNT

    - #### ALLOCATE

          public static final FTPCmd ALLOCATE

    - #### APPEND

          public static final FTPCmd APPEND

    - #### CHANGE_TO_PARENT_DIRECTORY

          public static final FTPCmd CHANGE_TO_PARENT_DIRECTORY

    - #### CHANGE_WORKING_DIRECTORY

          public static final FTPCmd CHANGE_WORKING_DIRECTORY

    - #### DATA_PORT

          public static final FTPCmd DATA_PORT

    - #### DELETE

          public static final FTPCmd DELETE

    - #### FEATURES

          public static final FTPCmd FEATURES

    - #### FILE_STRUCTURE

          public static final FTPCmd FILE_STRUCTURE

    - #### GET_MOD_TIME

          public static final FTPCmd GET_MOD_TIME

    - #### LOGOUT

          public static final FTPCmd LOGOUT

    - #### MAKE_DIRECTORY

          public static final FTPCmd MAKE_DIRECTORY

    - #### MOD_TIME

          public static final FTPCmd MOD_TIME

    - #### NAME_LIST

          public static final FTPCmd NAME_LIST

    - #### PASSIVE

          public static final FTPCmd PASSIVE

    - #### PASSWORD

          public static final FTPCmd PASSWORD

    - #### PRINT_WORKING_DIRECTORY

          public static final FTPCmd PRINT_WORKING_DIRECTORY

    - #### REINITIALIZE

          public static final FTPCmd REINITIALIZE

    - #### REMOVE_DIRECTORY

          public static final FTPCmd REMOVE_DIRECTORY

    - #### RENAME_FROM

          public static final FTPCmd RENAME_FROM

    - #### RENAME_TO

          public static final FTPCmd RENAME_TO

    - #### REPRESENTATION_TYPE

          public static final FTPCmd REPRESENTATION_TYPE

    - #### RESTART

          public static final FTPCmd RESTART

    - #### RETRIEVE

          public static final FTPCmd RETRIEVE

    - #### SET_MOD_TIME

          public static final FTPCmd SET_MOD_TIME

    - #### SITE_PARAMETERS

          public static final FTPCmd SITE_PARAMETERS

    - #### STATUS

          public static final FTPCmd STATUS

    - #### STORE

          public static final FTPCmd STORE

    - #### STORE_UNIQUE

          public static final FTPCmd STORE_UNIQUE

    - #### STRUCTURE_MOUNT

          public static final FTPCmd STRUCTURE_MOUNT

    - #### SYSTEM

          public static final FTPCmd SYSTEM

    - #### TRANSFER_MODE

          public static final FTPCmd TRANSFER_MODE

    - #### USERNAME

          public static final FTPCmd USERNAME

  - ### Method Detail

    - #### values

          public static FTPCmd[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FTPCmd c : FTPCmd.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FTPCmd valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCommand

          public final java.lang.String getCommand()

      Retrieve the FTP protocol command string corresponding to a specified command code.
      Returns:
        The FTP protcol command string corresponding to a specified command code.